package im.dx.system.model;

import java.io.Serializable;

public class QuartzTaskInformations implements Serializable {
    private Long id;

    private Integer version;

    private String taskno;

    private String taskname;

    private String schedulerrule;

    private String frozenstatus;

    private String executorno;

    private Long frozentime;

    private Long unfrozentime;

    private Long createtime;

    private Long lastmodifytime;

    private String sendtype;

    private String url;

    private String executeparamter;

    private String timekey;
    private Long objectx;
    private Long objecty;
    private Long objectw;
    private Long objecth;
    private String recordtype;

    private String metatype;
    private String imgsrc;

    private String rtsp;
    private String  videoid;

    public String getVideoid() {
        return videoid;
    }

    public void setVideoid(String videoid) {
        this.videoid = videoid;
    }

    public String getImgsrc() {
        return imgsrc;
    }

    public void setImgsrc(String imgsrc) {
        this.imgsrc = imgsrc;
    }

    public String getRtsp() {
        return rtsp;
    }

    public void setRtsp(String rtsp) {
        this.rtsp = rtsp;
    }

    public String getMetatype() {
        return metatype;
    }

    public void setMetatype(String metatype) {
        this.metatype = metatype;
    }

    public Long getObjectx() {
        return objectx;
    }

    public void setObjectx(Long objectx) {
        this.objectx = objectx;
    }

    public Long getObjecty() {
        return objecty;
    }

    public void setObjecty(Long objecty) {
        this.objecty = objecty;
    }

    public Long getObjectw() {
        return objectw;
    }

    public void setObjectw(Long objectw) {
        this.objectw = objectw;
    }

    public Long getObjecth() {
        return objecth;
    }

    public void setObjecth(Long objecth) {
        this.objecth = objecth;
    }

    public String getRecordtype() {
        return recordtype;
    }

    public void setRecordtype(String recordtype) {
        this.recordtype = recordtype;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getVersion() {
        return version;
    }

    public void setVersion(Integer version) {
        this.version = version;
    }

    public String getTaskno() {
        return taskno;
    }

    public void setTaskno(String taskno) {
        this.taskno = taskno == null ? null : taskno.trim();
    }

    public String getTaskname() {
        return taskname;
    }

    public void setTaskname(String taskname) {
        this.taskname = taskname == null ? null : taskname.trim();
    }

    public String getSchedulerrule() {
        return schedulerrule;
    }

    public void setSchedulerrule(String schedulerrule) {
        this.schedulerrule = schedulerrule == null ? null : schedulerrule.trim();
    }

    public String getFrozenstatus() {
        return frozenstatus;
    }

    public void setFrozenstatus(String frozenstatus) {
        this.frozenstatus = frozenstatus == null ? null : frozenstatus.trim();
    }

    public String getExecutorno() {
        return executorno;
    }

    public void setExecutorno(String executorno) {
        this.executorno = executorno == null ? null : executorno.trim();
    }

    public Long getFrozentime() {
        return frozentime;
    }

    public void setFrozentime(Long frozentime) {
        this.frozentime = frozentime;
    }

    public Long getUnfrozentime() {
        return unfrozentime;
    }

    public void setUnfrozentime(Long unfrozentime) {
        this.unfrozentime = unfrozentime;
    }

    public Long getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Long createtime) {
        this.createtime = createtime;
    }

    public Long getLastmodifytime() {
        return lastmodifytime;
    }

    public void setLastmodifytime(Long lastmodifytime) {
        this.lastmodifytime = lastmodifytime;
    }

    public String getSendtype() {
        return sendtype;
    }

    public void setSendtype(String sendtype) {
        this.sendtype = sendtype == null ? null : sendtype.trim();
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url == null ? null : url.trim();
    }

    public String getExecuteparamter() {
        return executeparamter;
    }

    public void setExecuteparamter(String executeparamter) {
        this.executeparamter = executeparamter == null ? null : executeparamter.trim();
    }

    public String getTimekey() {
        return timekey;
    }

    public void setTimekey(String timekey) {
        this.timekey = timekey == null ? null : timekey.trim();
    }
}
